#include <bits/stdc++.h>
using namespace std;

int n,m;
int main()
{
    scanf("%d%d",&n,&m);
    int r[m]={0};
    int x;
    int res=0;
    for(int i=0;i<n;i++)
    {
        scanf("%d",&x);
        if(x!=m)
        for(int j=0;j<x;j++)
        {
            r[j]++;
        }
    }
    for(int i=0;i<m;i++)
    {
        res+=(r[i]*(n-r[i]));
    }
    printf("%d",res);
}